--- /e/acs/cvsroot/xemacs-21.5/src/intl-auto-encap-win32.c	2006-11-25 23:20:32.776548800 -0500
+++ src/intl-auto-encap-win32.c	2006-11-25 23:28:20.137573700 -0500
@@ -2629,6 +2629,12 @@
 
 #if defined (HAVE_MS_WINDOWS)
 
+/* Skipping ImmSetCompositionString because different prototypes in VC6 and VC7 */
+
+#endif /* defined (HAVE_MS_WINDOWS) */
+
+#if defined (HAVE_MS_WINDOWS)
+
 DWORD
 qxeImmGetCandidateListCount (HIMC arg1, LPDWORD lpdwListCount)
 {
@@ -3132,6 +3138,12 @@
     return FindResourceExA (hModule, (LPCSTR) lpType, (LPCSTR) lpName, wLanguage);
 }
 
+/* Skipping EnumResourceTypes because different prototypes in VC6 and VC7 */
+
+/* Skipping EnumResourceNames because different prototypes in VC6 and VC7 */
+
+/* Skipping EnumResourceLanguages because different prototypes in VC6 and VC7 */
+
 HANDLE
 qxeBeginUpdateResource (const Extbyte * pFileName, BOOL bDeleteExistingResources)
 {
--- /e/acs/cvsroot/xemacs-21.5/src/intl-auto-encap-win32.h	2006-11-25 23:20:32.839053200 -0500
+++ src/intl-auto-encap-win32.h	2006-11-25 23:28:20.137573700 -0500
@@ -1883,6 +1883,10 @@
 #endif /* defined (HAVE_MS_WINDOWS) */
 
 #if defined (HAVE_MS_WINDOWS)
+/* Skipping ImmSetCompositionString because different prototypes in VC6 and VC7 */
+#endif /* defined (HAVE_MS_WINDOWS) */
+
+#if defined (HAVE_MS_WINDOWS)
 #ifdef ERROR_WHEN_NONINTERCEPTED_FUNS_USED
 #undef ImmGetCandidateListCount
 #define ImmGetCandidateListCount error_use_qxeImmGetCandidateListCount_or_ImmGetCandidateListCountA_and_ImmGetCandidateListCountW
@@ -2220,6 +2224,12 @@
 #endif
 HRSRC qxeFindResourceEx (HMODULE hModule, const Extbyte * lpType, const Extbyte * lpName, WORD wLanguage);
 
+/* Skipping EnumResourceTypes because different prototypes in VC6 and VC7 */
+
+/* Skipping EnumResourceNames because different prototypes in VC6 and VC7 */
+
+/* Skipping EnumResourceLanguages because different prototypes in VC6 and VC7 */
+
 #ifdef ERROR_WHEN_NONINTERCEPTED_FUNS_USED
 #undef BeginUpdateResource
 #define BeginUpdateResource error_use_qxeBeginUpdateResource_or_BeginUpdateResourceA_and_BeginUpdateResourceW
